Delete a template
DELETE
/v1/sign/templates/{id}
Requests made from it, and its documents, stay.
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
id*stringThe template's id.
Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"The deleted template.
application/json- response
- response
- …
object*"sign_template"Value in
"sign_template"id*stringdeleted*trueValue in
trueimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.sign.templates.remove("stpl_01k7c8m4q2f3e9v6t5r1n0p8yz");{ "object": "sign_template", "id": "stpl_01k7c8m4q2f3e9v6t5r1n0p8yz", "deleted": true}